Quick Search Status
curl --request GET \
--url https://api.forestreet.com/markets/discover/search/:searchIdimport requests
url = "https://api.forestreet.com/markets/discover/search/:searchId"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.forestreet.com/markets/discover/search/:searchId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Deprecated
Quick Search Status
This endpoint returns the status and results of a search
GET
/
markets
/
discover
/
search
/
:searchId
Quick Search Status
Get the status of a search for UK companies within the Metal Stamping and Fabrication market
GET /markets/discover/search/65bcf2948ad5676f5a3b3cdc
Response
An example of a PENDING search:{
"status": "PENDING",
"marketName": "Metal Stamping and Fabrication",
"countryCode": "GB",
"seedDomains": [
"www.mercurycorp.com"
],
"createdAt": 1706881684952,
"results": []
}
{
"status": "COMPLETE",
"marketName": "Metal Stamping and Fabrication",
"countryCode": "GB",
"seedDomains": [
"www.mercurycorp.com"
],
"createdAt": 1706881684952,
"results": [
{
"name": "Laser Cutting Co.",
"domain": "lasercutting.co.uk"
},
{
"name": "Moseley Brothers",
"domain": "moseleybrothers.co.uk"
},
{
"name": "JC Metalworks Ltd",
"domain": "jcmetalworks.co.uk"
},
{
"name": "Hymid Multi-Shot Ltd",
"domain": "hymid.co.uk"
},
{
"name": "HTA Group",
"domain": "htagroup.co.uk"
},
{
"name": "Alpha Manufacturing",
"domain": "alphamanufacturing.co.uk"
},
{
"name": "Grenville Engineering",
"domain": "grenville-engineering.co.uk"
},
{
"name": "Salcey Precision Engineering Ltd",
"domain": "salceyprecision.co.uk"
},
{
"name": "Airedale Springs Ltd",
"domain": "airedalesprings.co.uk"
},
{
"name": "Alderman Tooling Ltd",
"domain": "aldermantooling.co.uk"
},
{
"name": "PAB Coventry Ltd",
"domain": "pabgroup.co.uk"
},
{
"name": "Sheet Metal Services Seaforth Ltd",
"domain": "sms.uk.net"
},
{
"name": "Yorkshire Laser & Fabrication",
"domain": "yorkshirelaser.co.uk"
},
{
"name": "P.P. Group",
"domain": "ppgroupltd.co.uk"
},
{
"name": "GF Laser",
"domain": "gflaser.co.uk"
},
{
"name": "Laser Engineering UK",
"domain": "laserengineering.co.uk"
},
{
"name": "Yorkshire Profiles Ltd",
"domain": "yorkshireprofiles.co.uk"
},
{
"name": "Laser 24",
"domain": "laser24.co.uk"
},
{
"name": "Hutchinson Engineering",
"domain": "hutchinsonengineering.co.uk"
},
{
"name": "KMF Precision Sheet Metal",
"domain": "kmf.co.uk"
},
{
"name": "Subcon Laser Cutting",
"domain": "subconlaser.co.uk"
},
{
"name": "Lasered Components",
"domain": "lasered.co.uk"
},
{
"name": "SSC Laser",
"domain": "ssclaser.co.uk"
},
{
"name": "Pentagon Plastics",
"domain": "pentagonplastics.co.uk"
},
{
"name": "Faulkner Moulds",
"domain": "faulknermoulds.net"
},
{
"name": "Omega Plastics",
"domain": "omega-plastics.co.uk"
},
{
"name": "Toolcraft Plastics",
"domain": "toolcraft.co.uk"
},
{
"name": "BEC Group",
"domain": "becgroup.com"
}
]
}
{
"status": "FAILED",
"marketName": "Metal Stamping and Fabrication",
"countryCode": "GB",
"seedDomains": [
"www.mercurycorp.com"
],
"createdAt": 1706881684952,
"results": []
}
⌘I